html , body
{
    position: absolute;
    height: 100%;
    max-height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    overflow:hidden;
}

.page {
    display: flex;
    min-height: 100vh;
}

#viewer-container{
	width:100%;
    display: flex; /* new */
    min-height: 100vh;
    position:relative;

}

iframe{
	width :100%
}

.action:hover{
	cursor:pointer;
}

.overlay {
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	/*visibility: hidden;*/
	opacity: 1;
	/*display:flex;
	align-items:center;
	justify-content: center;*/
	background-color: rgba(255,255,255,0.3);
	z-index: 1;
	display:none;
 }

.blur-filter{
	-webkit-filter: blur(10px);
	-moz-filter: blur(10px);
	-o-filter: blur(10px);
	-ms-filter: blur(10px);
	filter: blur(10px);
}


#configuration-panel{
	width:50%;
	background-image:url("../src/ConfigurateurKlassallroad_assets_backgroundmenu_config.png");
	background-size: cover;
	display:flex;
	flex-direction: column;
    min-height: 100vh;
}

#expandable{
	width:10px;
	height:100vh;
	cursor:e-resize;
	background:transparent;
}

#close-panel{
	position:absolute;
	top:50%;
	transform: translateY(-50%);
	width: 30px;
}


#open-panel{
	position:absolute;
	top:50%;
	right: 0%;
	transform: translateY(-50%);
}


#open-panel, #close-panel{
	opacity: 0.3;
}

#open-panel:hover, #close-panel:hover{
	opacity: 1;
}

#return{
	position:absolute;
	top:0%;
	left:0%;
}

#close-panel, #open-panel, #return{
	width: 40px;
}


#finish, #modify, #start{
	width: 150px;
	position:absolute;
	bottom:10%;
	left:50%;
	transform: translateX(-50%);
}

#close-panel img, #open-panel img, #return img, #finish img, #modify img, #start img{
	width: 100%;
	height: auto;
}

#configuration-types{
	display:flex;
	flex-direction: column;
	width:100%;
	height:100%;
}

.configuration-type{
	width:100%;
	height:33.3333%;
	background-repeat: no-repeat; 
    background-position: right top;
    background-size: cover;
    display: flex;
    align-items:center;
    justify-content:center;
    box-shadow:5.5px 0px 2.5px rgba(28, 14, 15, 0.24)
}

.configuration-type .text-icon{
	display:flex;
	align-items:center;
    justify-content:center;
    flex-direction: column;
}

.configuration-type .text-icon p{
	color:white;
    text-align: left;
    margin:20px;
    font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
    font-weight: bold;
    font-size: 2em;
}

.configuration-type .text-icon img{
	width:100px;
	height:auto;
}


.content{
	display:block;
	width:100%;
	flex-grow: 1;
	height:1vh;
    overflow-y: overlay;
    overflow-x:hidden; 
    min-height: 1px;
}


.content::-webkit-scrollbar
{
	width: 12px;
	background:transparent;
}

.content::-webkit-scrollbar-thumb
{
	border-radius: 10px;
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
	background-color: #999CA6;
}

.title {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border-bottom: 1px solid #ccc;
    height: 135px;
}

.title img{
	width:85px;
	height: auto;
    	margin-top: -2%
}

.next {
    width: 38px;
    height: 39px;
    left: 23%;
    position: relative;
    top: 50%;
    margin-top: -40px;
}

.prev {
    width: 38px;
    height: 39px;
    position: relative;
    right: 25%;
    top: 50%;
}


#configuration-color, #configuration-logo, #configuration-text, #configuration-validation {
	height:100%;
	flex-direction: column;
	display:none;
	min-height:1px;
}


#loaded-logo{
	width:70%;
	height:auto;
}


.title p , .widget-text, .widget-label{
	margin:2%;
}

.row-widgets{
	display:flex;
	width:100%;
	border-bottom: 1px solid #ccc;
	
}

.widget{
	display: flex;
	align-items:center;
    justify-content:center;
    flex-direction: column;
    border-right: 1px solid #ccc;
    width:50%;
    height:100px;
}


.widget-text, .title p{
	color: #999CA6;
	font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
	font-weight: bold;
	font-size: 1em;
}


.widget-label{
	color: #666666;
	font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
	font-weight: normal;
	font-size: 0.7em;
}

.widget-color{
	width:40px;
	height:40px;
	border-radius: 50%;
}

.ok-cancel{
	width:100%;
	display:flex;
	margin-top:30px;
	margin-bottom: 30px;
	height:20px;
}

.ok-cancel div{
	width:50%;
	text-align:center;
}

.ok-cancel img{
	width: 30px;
	height: auto;
}

#validation-type{
	font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
	font-weight: bold;
	font-size:1.5em;
	color: #3B424E;
	margin-left: 20px;
}

#validation-price, #validation-capture-title{
	font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
	font-weight: normal;
	font-size:1em;
	color: #666666;
	margin-left: 20px;
}

#validation-information{
	font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
	font-weight: normal;
	font-size:1em;
	color: #666666;
	margin-left: 20px;
	margin-right: 20px;
}

#validation-info{
	font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
	font-weight: normal;
	font-size:0.8em;
	color: #666666;
	margin-left: 20px;
	margin-right: 20px;
    line-height: 30px;
}

.capture-label{
	font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
	font-weight: normal;
	font-size:0.7em;
	color: #666666;
}


#validation-captures{
	display:flex;
	width: 95%;
	align-items:center;
	justify-content: space-between;
	margin-left:2.5%;
	margin-bottom: 20px

}

.capture{
	display: flex;
	flex-direction:column;
	width: 30%;
}

.capture div{
	width: 100%;
	height:100%;
}

.capture img{
	width:100%;
	height:100%;
}

.validation-action{
	display:flex;
	margin-bottom: 20px;
}

.validation-action div{
	width: 30px;
	margin-left:20px;
}

.validation-action img{
	width: 100%;
	height: auto;
}
.validation-action p{
	font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
	font-weight: bold;
	font-size:0.9em;
	margin-left:20px;
	color: #666666;
}

#validation-button{
	margin-left:20px;
	width: 100%;
	height: 100px;
	margin-bottom: 10%;
	text-align: center;
}

@media screen and (max-height:820px){
	.validation-button{
		margin-bottom: 20px;
	}
}

#validation-button img{
	width: 150px;
	height: auto;
	transform:translateX(-20px);
}

@media screen and (max-width: 980px) {
	.configuration-panel{
		width:30%;
	}
	.row-widgets{
		flex-direction: column;
		border-bottom: none;
	}
	.widget{
		width:100%;
		border-bottom: 1px solid #ccc;
	}

	#validation-captures{
		flex-direction:column;
	}

	.capture{
		width: 100%;
	}
}

#create-text{
	position:absolute;
	width:350px;
	height: 75%;
	max-height: 500px;
	display:flex;
	align-items:center;
	justify-content:center;
	flex-direction:column;
	top: 0; left: 0; bottom: 0; right: 0;
	margin: auto;
}


#create-text div{
	margin-bottom:50px;
}


#upload-logo{
	position:absolute;
	width:350px;
	height: 75%;
	max-height: 500px;
	display:flex;
	align-items:center;
	justify-content:center;
	flex-direction:column;
	top: 0; left: 0; bottom: 0; right: 0;
	margin: auto;
}

#upload-logo img{
	width:100%;
	height:auto;
}

.overlay-content{
	display:block;
	width:100%;
	flex-grow:1;
}

.overlay-ok-cancel{
	display:flex;
	align-items:center;
	justify-content: space-between;
	width: 100%;
	height:25%;
}

.overlay-ok-cancel div{
	width:150px;
	height: auto;
}

.overlay-ok-cancel img{
	width:100%;
	height: auto;
}

.input-text{
	display:block;
	text-align: center;
	width: 100%;
}

.overlay-legend{
	color:white;
	font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
	font-weight: normal;
	font-size:0.8em;
	text-align: center;
}

.input-text input{
	width: 260px;
	height:50px;
	background: transparent;
	border: 2px solid #3B424E;
	color: #3B424E;
	font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
	font-weight: bold;
	font-size: 2em;
	text-align: center;
    outline: snow;
}

.input-inverse{
    margin-left: -69%;
    margin-top: 6%;
}

.input-inverse-label{
	margin-top: -7%;
    margin-left: -30%;
    font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
    font-weight: bold;
    color: #3c424f;
}